Subject: Re: [nvo3] I-D Action: draft-ietf-nvo3-arch-02.txt

From: Mark ZZZ Smith <[email-masked]>
Date: Mon, 3 Nov 2014 18:45:13 -0800

>________________________________
> From: Tom Herbert <[email-masked]>
>To: "[email-masked]" <[email-masked]> 
>Cc: "[email-masked]" <[email-masked]> 
>Sent: Saturday, 1 November 2014, 5:57
>Subject: Re: [nvo3] I-D Action: draft-ietf-nvo3-arch-02.txt
> 
>
>One comment on the architecture:
>
>In 11.  NVO3 Data Plane Encapsulation: "The exact encapsulation to use
>for NVO3 does not seem to be critical."
>
>I don't think this statement adds much and it's debatable whether the
>exact encapsulation is critical. I tend to think it is very important,
>especially if hardware support for data plane encapsulation is
>expected to be common in DCs.
>

I agree with Tom.

My motivation for writing "Enhancing Virtual Network Encapsulation with IPv6" (draft-smith-enhance-vne-with-ipv6) is because I think IPv6 encapsulation of NV traffic is going to become the common case, and there are advantages to treating IPv6 as different from IPv4 (as it is). Yet if I look at all the proposed encapsulation methods (e.g., VXLAN, NVGRE, STT or Geneve), they all treat IPv6 as equivalent to IPv4. IPv6 is more than just IPv4 with bigger addresses.

Existing IPv6 hardware will provide the most of the benefits to NV encapsulation that I've suggested in that draft. The only exception might be the use of the IPv6 flowlabel field as an input into load balancing methods, as the use of the flow label field and its use as an input to load balancing has only fairly recently be clarified in RFC6436, RFC6437 and RFC6438. If hardware doesn't today consider the IPv6 flow label field as an input to traffic load balancing, I think eventually it will. Then IPv6 encapsulations of NV traffic will provide benefits that the "IPv4" encapsulations do (e.g., adding a UDP header to VXLAN just to add entropy for load balancing purposes), yet at a lower encapsulation overhead and processing cost.

Regards,
Mark.

>Tom
>
>
>
>
>
>On Thu, Oct 30, 2014 at 1:50 PM, Behcet Sarikaya <[email-masked]> wrote:
>>  Hi Tom,
>>
>> Did you check Linux Containers discussion in the revision? What do you think?
>>
>> Regards,
>>
>> Behcet
>>
>>
>> A New Internet-Draft is available from the on-line Internet-Drafts directories.
>>  This draft is a work item of the Network Virtualization Overlays
>> Working Group of the IETF.
>>
>>         Title           : An Architecture for Overlay Networks (NVO3)
>>         Authors         : David Black
>>                           Jon Hudson
>>                           Lawrence Kreeger
>>                           Marc Lasserre
>>                           Thomas Narten
>>         Filename        : draft-ietf-nvo3-arch-02.txt
>>         Pages           : 31
>>         Date            : 2014-10-27
>>
>> Abstract:
>>    This document presents a high-level overview architecture for
>>    building overlay networks in NVO3.  The architecture is given at a
>>    high-level, showing the major components of an overall system.  An
>>    important goal is to divide the space into individual smaller
>>    components that can be implemented independently and with clear
>>    interfaces and interactions with other components.  It should be
>>    possible to build and implement individual components in isolation
>>    and have them work with other components with no changes to other
>>    components.  That way implementers have flexibility in implementing
>>    individual components and can optimize and innovate within their
>>    respective components without requiring changes to other components.
>>
>>
>> The IETF datatracker status page for this draft is:
>> https://datatracker.ietf.org/doc/draft-ietf-nvo3-arch/
>>
>> There's also a htmlized version available at:
>> http://tools.ietf.org/html/draft-ietf-nvo3-arch-02
>>
>> A diff from the previous version is available at:
>> http://www.ietf.org/rfcdiff?url2=draft-ietf-nvo3-arch-02
>>
>>
>> Please note that it may take a couple of minutes from the time of submission
>> until the htmlized version and diff are available at tools.ietf.org.
>>
>> Internet-Drafts are also available by anonymous FTP at:
>> ftp://ftp.ietf.org/internet-drafts/
>>
>> _______________________________________________
>> nvo3 mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/nvo3
>
>_______________________________________________
>nvo3 mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/nvo3
>
>
>

---

From: Jon Hudson <[email-masked]>
Date: Mon, 3 Nov 2014 19:28:49 -0800

One question inline...

> On Oct 31, 2014, at 11:57 AM, Tom Herbert <[email-masked]> wrote:
> 

Jon> would you be ok with it saying something like:

"The exact encapsulation method does not seem to be critical when compared to the need for consensus in which encapsulation is chosen."